Skip to main content
GET
/
open
/
api
/
phone
/
list
Get phone list
curl --request GET \
  --url https://user.pmock.com/api/open/api/phone/list
{
  "traceId": "<string>",
  "total": 123,
  "rows": [
    {
      "id": 123,
      "name": "<string>",
      "groupId": 123,
      "groupName": "<string>",
      "code": "<string>",
      "spuId": 123,
      "spuName": "<string>",
      "skuId": 123,
      "phoneModel": "<string>",
      "phoneBrand": "<string>",
      "adbIp": "<string>",
      "adbPort": "<string>",
      "adbPassword": "<string>",
      "payType": 123,
      "skuName": "<string>",
      "cycleName": "<string>",
      "cycleEnum": "<string>",
      "expireStatus": 123,
      "networkId": 123,
      "channel": "<string>",
      "powerOnTime": "<string>",
      "powerOffTime": "<string>",
      "expireTime": "<string>",
      "expireDuration": "<string>",
      "nextPayTime": "<string>",
      "remark": "<string>",
      "tags": [
        {
          "id": 123,
          "tagName": "<string>",
          "color": "<string>"
        }
      ],
      "userId": 123,
      "createUser": "<string>",
      "createTime": "<string>",
      "updateTime": "<string>",
      "networkResVO": {
        "host": "<string>",
        "port": 123,
        "account": "<string>",
        "password": "<string>",
        "region": "<string>",
        "num": 123,
        "countryCode": "<string>",
        "countryName": "<string>",
        "type": "<string>",
        "timezone": "<string>",
        "language": "<string>",
        "ip": "<string>",
        "latitude": "<string>",
        "longitude": "<string>",
        "bindCount": 123,
        "status": 123,
        "detectDataType": 123,
        "groupId": 123,
        "remark": "<string>",
        "expireTime": "<string>"
      },
      "authorizeResVO": {
        "avatar": "<string>",
        "name": "<string>",
        "userId": 123
      },
      "authList": [
        {
          "avatar": "<string>",
          "name": "<string>",
          "userId": 123
        }
      ],
      "cycle": 123,
      "screenWidth": "<string>",
      "screenHeight": "<string>"
    }
  ],
  "code": 123,
  "msg": "<string>"
}

Query Parameters

nameOrCode
string

phone name or phone number

Maximum string length: 32
spuId
integer<int64>

phone spuId, The spuId value contained in the current interface's returned result

skuId
integer<int64>

phone skuId, The skuId value contained in the current interface's returned result

status
integer

phone status, The status value contained in the current interface's returned result, 1=normal,2=restart,4=powerOff,41=powerOn,6=reset,7=One-click New Device

authorizeUserIds
integer[]

Authorized User ID list, The userId value contained in the current interface's returned result

expireStatus
integer

Billing (expired) status: 0=expired, 1=normal

skuName
string

sku name, The skuName value contained in the current interface's returned result

networkId
integer<int64>

phone network ID, The networkId value contained in the current interface's returned result

groupId
integer<int64>

phone grouping ID list, The groupId value contained in the current interface's returned result

groupCode
string

phone group code, Value is all_group=All groups,renew_expired=After the renewal period,un_group=Not grouped

groupType
string

phone group type, Value is system_group=System grouping,custom_group=Custom grouping

realResolution
integer

Whether it is real machine resolution 0- No, 1- real machine resolution

tagIds
integer[]

标签ID列表,筛选包含这些标签的设备(取并集)

pageSize
integer

Number of records displayed per page The default is1,and the maximum number of items in a single query is:1

pageNum
integer

Current page count

Response

200 - application/json
traceId
string

Link ID

total
integer<int64>

Total number of records

rows
object[]

list data

code
integer

Message status code

msg
string

message content